#804 closed defect (fixed)

No memory for POSIX Timers

Reported by: nuno-costa Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: score Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The configuration files confdefs.h don't calculate well the needed memory for specified POSIX timers.
Take a look to the macro :
#define CONFIGURE_MEMORY_FOR_POSIX_TIMERS(_timers) \

((_timers) * \

( 0 ) )


Also, the macro CONFIGURE_MEMORY_FOR_POSIX forgot
the reference to the macro CONFIGURE_MEMORY_FOR_POSIX_TIMERS.

Release:
RTEMS v4.6.2

Environment:
Intel 686 celeron mendocino
Linux Mandrake 9.2
Target=i386, Bsp=pc686

How-To-Repeat:
Simply create a POSIX program which creates 10 or 20 POSIX timers. The app will die on startup.

Attachments (1)

pr804.diff (1.2 KB) - added by nuno-costa on Dec 3, 2006 at 1:31:13 PM.
pr804.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Aug 17, 2005 at 10:06:40 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Sep 1, 2005 at 12:28:50 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: No feedback in two weeks. Patch assumed to be correct and
committed.

Changed on Dec 3, 2006 at 1:31:13 PM by nuno-costa

Attachment: pr804.diff added

pr804.diff

Note: See TracTickets for help on using tickets.